---
title: StorageQuota.queryInfo
slug: Web/API/StorageQuota/queryInfo
tags:
  - Property
  - Quota Management API
  - Reference
  - StorageQuota
---
<p>{{APIRef("Quota Management API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>queryInfo()</code></strong> property of the {{domxref("StorageQuota")}} interface returns a {{domxref("StorageInfo")}} object containting the current data usage and available quota information for the application.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">StorageQuota.queryInfo().then(function(storageInfo) { ... })</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A reference to a {{jsxref('StorageInfo')}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Quota Management','#widl-StorageQuota-queryInfo-Promise-StorageType-type','queryInfo()')}}</td>
   <td>{{Spec2('Quota Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StorageQuota.queryInfo")}}</p>
</div>
